#
# spec file for package patterns-server
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-wbem
Version:        20171206
Release:        2.8
Summary:        Patterns for Installation (wbem patterns)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
Source1:        pattern-definition-32bit.txt
Source2:        create_32bit-patterns_file.pl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the wbem pattern

################################################################################

%package WBEM
%pattern_primaryfunctions
Summary:        Web-Based Enterprise Management
Group:          Metapackages
Provides:       pattern() = WBEM
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 3150
Provides:       pattern-visible()
Provides:       patterns-sled-WBEM = %{version}
Obsoletes:      patterns-sled-WBEM < %{version}
Provides:       patterns-sles-WBEM = %{version}
Obsoletes:      patterns-sles-WBEM < %{version}
Requires:       pattern() = basesystem

Requires:       cim-schema
Requires:       cmpi-bindings-pywbem
Requires:       cmpi-provider-register
Requires:       cmpi-pywbem-base
Requires:       cmpi-pywbem-power-management
# currently missing
# Requires:       openwsman-client
Requires:       openwsman-server
Requires:       python-pywbem
Requires:       sblim-sfcb
Requires:       sblim-wbemcli
Recommends:     libvirt-cim
Recommends:     smis-providers

%description WBEM
Web-based enterprise management.

%files WBEM
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/WBEM.txt

################################################################################

%prep

%build

%install
mkdir -p "%{buildroot}/usr/share/doc/packages/patterns"
for i in WBEM; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/usr/share/doc/packages/patterns/$i.txt"
    echo "This file marks the pattern $i-32bit to be installed." \
        >"%{buildroot}/usr/share/doc/packages/patterns/$i-32bit.txt"
done

#
# This file is created at check-in time. Sorry for the inconsistent workflow :(
#
%include %{SOURCE1}

%changelog
* Tue Apr 24 2018 sflees@suse.de
- sblim-sfcc has been removed (bsc#1090574)
* Mon Dec 11 2017 sflees@suse.de
- correctly source the files for 32bit patterns
* Fri Dec  8 2017 sflees@suse.de
- Version: 20171206
- Add obsoletes across all patterns (bsc#1071761)
* Thu Sep 21 2017 sflees@suse.de
- Create new split package
